Written Exam Audit
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/audit \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/reports/audit"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/reports/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"examSid": "<string>",
"examTitle": "<string>",
"courseSid": "<string>",
"courseTitle": "<string>",
"courseCode": "<string>",
"examOpenDate": "<string>",
"examCloseDate": "<string>",
"configurationType": "<string>",
"instructorSid": "<string>",
"instructorFirstName": "<string>",
"instructorLastName": "<string>",
"instructorEmail": "<string>"
}
]
}Reports
Written Exam Audit
Returns an audit report for written exams within the specified install.
GET
/
v1
/
installs
/
{installSid}
/
reports
/
audit
Written Exam Audit
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Query Parameters
Starting of event, must provide end date with it
Pattern:
.*ZExample:
"1970-01-01T00:00:00.000Z"
Exam Close date, must provide open date with it
Pattern:
.*ZExample:
"1970-01-01T00:00:00.000Z"
Course Offering Sid
Pattern:
^CO[a-f0-9]{32}$Result offset
Required range:
x >= 0Number of items to return
Required range:
x >= 0Available options:
createdDate Sort order
Available options:
ASC, DESC Was this page helpful?
